﻿#ifndef BIGGESTCITIESMODEL_H
#define BIGGESTCITIESMODEL_H

#include <QtCore/QAbstractListModel>
#include <QtCore/QByteArray>
#include <QtCore/QList>

class CityComponent;

class BiggestCitiesModel : public QAbstractListModel
{
    Q_OBJECT
    Q_DISABLE_COPY(BiggestCitiesModel)

    Q_PROPERTY(QString country READ country WRITE setCountry NOTIFY countryChanged)
    Q_PROPERTY(QString title READ title NOTIFY titleChanged)

public:
    enum CityRole
    {
        ROLE_CITY_COMPONENT = 0
    };

    explicit BiggestCitiesModel(QObject *parent = 0);
    ~BiggestCitiesModel();

    const QString &country() const;
    void setCountry(const QString &country);

    QString title() const;

    virtual QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;
    virtual QModelIndex parent(const QModelIndex &index) const;
    virtual int rowCount(const QModelIndex &parent = QModelIndex()) const;
    QHash<int, QByteArray> roleNames() const;

signals:
    void countryChanged();
    void titleChanged();

public slots:
    void retranslate(const QString &language);

private:
    static const char *rawTitle();
    QHash<int, QByteArray> m_roles;
    QString m_country;
    QList<CityComponent*> m_cities;

};

#endif // BIGGESTCITIESMODEL_H
