﻿#include <QtCore/QtDebug>
#include "CityComponent.h"

CityComponent::CityComponent(int cityID,
                             const QString &name,
                             const QString &state,
                             const QString &countryID,
                             int population,
                             QObject *parent) :
    QObject(parent),
    m_cityID(cityID),
    m_name(name),
    m_state(state),
    m_countryID(countryID),
    m_population(population)
{
}

CityComponent::~CityComponent()
{
}

QString CityComponent::name() const
{
    return m_name;
}

void CityComponent::setName(const QString &name)
{
    m_name = name;
    emit nameChanged();
}

QString CityComponent::state() const
{
    return m_state;
}

void CityComponent::setState(const QString &state)
{
    m_state = state;
    emit stateChanged();
}

QString CityComponent::countryID() const
{
    return m_countryID;
}

int CityComponent::population() const
{
    return m_population;
}

void CityComponent::setPopulation(int population)
{
    m_population = population;
    emit populationChanged();
}
