﻿#ifndef CITYCOMPONENT_H
#define CITYCOMPONENT_H

#include <QtCore/QObject>

class CityComponent : public QObject
{
    Q_OBJECT
    Q_DISABLE_COPY(CityComponent)

    Q_PROPERTY(QString name READ name NOTIFY nameChanged)
    Q_PROPERTY(QString state READ state NOTIFY stateChanged)
    Q_PROPERTY(int population READ population WRITE setPopulation NOTIFY populationChanged)

public:
    explicit CityComponent(int cityID,
                           const QString &name,
                           const QString &state,
                           const QString &countryID,
                           int population,
                           QObject *parent = 0);
    virtual ~CityComponent();

    QString name() const;
    void setName(const QString &name);

    QString state() const;
    void setState(const QString &state);

    QString countryID() const;

    int population() const;
    void setPopulation(int population);

signals:
    void nameChanged();
    void stateChanged();
    void countryChanged();
    void populationChanged();

private:
    int m_cityID;
    QString m_name;
    QString m_state;
    QString m_countryID;
    int m_population;
};

#endif // CITYCOMPONENT_H
