﻿// checksum 0x440d version 0x90003
/*
  This file was generated by the Qt Quick 2 Application wizard of Qt Creator.
  QtQuick2ApplicationViewer is a convenience class containing mobile device specific
  code such as screen orientation handling. Also QML paths and debugging are
  handled here.
  It is recommended not to modify this file, since newer versions of Qt Creator
  may offer an updated version of it.
*/

#include <QtCore/QCoreApplication>
#include <QtCore/QDir>
#include <QtCore/QList>
#include <QtCore/QtDebug>
#include <QtCore/QTimer>
#include <QtQml/qqml.h>
#include <QtQml/QQmlContext>
#include <QtQml/QQmlEngine>

#include "BiggestCitiesModel.h"
#include "CityComponent.h"
#include "QmlAppViewer.h"
#include "TranslationManager.h"

class QmlAppViewerPrivate
{
    QString mainQmlFile;
    friend class QmlAppViewer;
    static QString adjustPath(const QString &path);

    QList<QString> m_languages;
    int m_currentLanguage;

    QList<QString> m_themes;
    int m_currentTheme;
};

QString QmlAppViewerPrivate::adjustPath(const QString &path)
{
//#if defined(Q_OS_MAC)
//    if (!QDir::isAbsolutePath(path))
//        return QString::fromLatin1("%1/../Resources/%2")
//                .arg(QCoreApplication::applicationDirPath(), path);
#if defined(Q_OS_QNX)
    if (!QDir::isAbsolutePath(path))
        return QString::fromLatin1("app/native/%1").arg(path);
#elif defined(Q_OS_UNIX) && !defined(Q_OS_ANDROID)
    const QString pathInInstallDir =
            QString::fromLatin1("%1/../%2").arg(QCoreApplication::applicationDirPath(), path);
    if (QFileInfo(pathInInstallDir).exists())
        return pathInInstallDir;
#endif
    return path;
}

QmlAppViewer::QmlAppViewer(QWindow *parent)
    : QQuickView(parent)
    , d(new QmlAppViewerPrivate())
{
    qmlRegisterType<BiggestCitiesModel>("com.embeddeduse.keynav", 1, 0, "BiggestCitiesModel");
    qmlRegisterUncreatableType<CityComponent>("com.embeddeduse.keynav", 1, 0, "City", "Cannot create CityComponent from QML");

    d->m_languages << "de" << "en";
    d->m_currentLanguage = 0;

    d->m_themes << "Blue" << "Grayscale";
    d->m_currentTheme = 0;

    rootContext()->setContextProperty("g_viewer", this);
    rootContext()->setContextProperty("g_tr", TranslationManager::instance());

    connect(engine(), SIGNAL(quit()), SLOT(close()));
    setResizeMode(QQuickView::SizeRootObjectToView);
}

QmlAppViewer::~QmlAppViewer()
{
    delete d;
}

void QmlAppViewer::setMainQmlFile(const QString &file)
{
    d->mainQmlFile = QmlAppViewerPrivate::adjustPath(file);
#ifdef Q_OS_ANDROID
    setSource(QUrl(QLatin1String("assets:/")+d->mainQmlFile));
#else
    setSource(QUrl::fromLocalFile(d->mainQmlFile));
#endif
}

void QmlAppViewer::addImportPath(const QString &path)
{
    engine()->addImportPath(QmlAppViewerPrivate::adjustPath(path));
}

void QmlAppViewer::showExpanded()
{
#if defined(Q_WS_SIMULATOR) || defined(Q_OS_QNX)
    showFullScreen();
#else
    show();
#endif
}

void QmlAppViewer::keyPressEvent(QKeyEvent *ev)
{
    if (ev != 0) {
        if (ev->key() == Qt::Key_F10) {
            QTimer::singleShot(3000, this, SLOT(sendInfoMessage()));
            return;
        }
        else if (ev->key() == Qt::Key_F9) {
            d->m_currentTheme = (d->m_currentTheme + 1) % d->m_themes.count();
            emit themeChanged(d->m_themes[d->m_currentTheme]);
        }
        else if (ev->key() == Qt::Key_F8) {
            d->m_currentLanguage = (d->m_currentLanguage + 1) % d->m_languages.count();
            TranslationManager::instance()->setLanguage(d->m_languages[d->m_currentLanguage]);
        }
    }
    QQuickView::keyPressEvent(ev);
}

void QmlAppViewer::sendInfoMessage()
{
    emit infoMessage(tr("Cloud Backup Out-Of-Date"),
                     tr("You have not backed up the city database to the cloud "
                        "for 11 days. It is advisable to do a regular backup "
                        "to avoid loss of data.")
                     );
}
