﻿#include <QtCore/QCoreApplication>
#include <QtCore/QString>
#include <QtCore/QtDebug>
#include <QtCore/QTranslator>
#include "TranslationManager.h"

TranslationManager::TranslationManager() :
    QObject(0),
    m_translator(0)
{
}

TranslationManager::~TranslationManager()
{
}

TranslationManager *TranslationManager::instance()
{
    static TranslationManager tm;
    return &tm;
}

void TranslationManager::setLanguage(const QString &language)
{
    QString trFile(QString("qml/KeyNavigationWithQML/keynav_%1").arg(language));
    QTranslator *translator = new QTranslator;
    if (!translator->load(trFile)) {
        qDebug() << "# TranslationManager::setLanguage: Could not load translation file " << trFile;
        delete translator;
    }
    else {
        qDebug() << "# Changing to language " << language;
        if (m_translator != 0) {
            QCoreApplication::removeTranslator(m_translator);
            delete m_translator;
        }
        m_translator = translator;
        QCoreApplication::installTranslator(m_translator);
        emit languageChanged(language);
    }
}

QString TranslationManager::emptyString() const
{
    return "";
}

