﻿#ifndef TRANSLATIONMANAGER_H
#define TRANSLATIONMANAGER_H

#include <QtCore/QObject>
class QString;
class QTranslator;

class TranslationManager : public QObject
{
    Q_OBJECT
    Q_DISABLE_COPY(TranslationManager)

    Q_PROPERTY(QString languageChanged READ emptyString NOTIFY languageChanged)

public:
    static TranslationManager *instance();
    virtual ~TranslationManager();

    void setLanguage(const QString &language);

    QString emptyString() const;

signals:
    void languageChanged(const QString &language);

private:
    explicit TranslationManager();

    QTranslator *m_translator;
};

#endif // TRANSLATIONMANAGER_H
