import QtQuick 2.1
import com.embeddeduse.keynav 1.0

BaseListView
{
    id: root

    property string country
    property alias title: citiesModel.title

    width: 1024
    height: 588

    model: BiggestCitiesModel {
        id: citiesModel
        country: root.country

        onTitleChanged: console.log("### new title = ", citiesModel.title)
    }

    delegate: FocusScope {
        id: delegateRoot
        width: 1024
        height: 48

        Rectangle
        {
            anchors.fill: parent
            color: index % 2 ? g_theme.listViewItem.backgroundColor : g_theme.listViewItem.backgroundColorAlt

            Row
            {
                width: parent.width - 32
                height: parent.height
                x: 16
                spacing: 16

                Text
                {
                    width: 336
                    height: parent.height
                    verticalAlignment: Text.AlignVCenter
                    text: city.name
                    font.pixelSize: g_theme.listViewItem.textSize
                    color: g_theme.listViewItem.textColor
                }

                Text
                {
                    width: 480
                    height: parent.height
                    verticalAlignment: Text.AlignVCenter
                    text: city.state
                    font.pixelSize: g_theme.listViewItem.textSize
                    color: g_theme.listViewItem.textColor
                }

                Text
                {
                    width: 144
                    height: parent.height
                    verticalAlignment: Text.AlignVCenter
                    horizontalAlignment: Text.AlignRight
                    text: city.population.toString()
                    font.pixelSize: g_theme.listViewItem.textSize
                    color: g_theme.listViewItem.textColor
                }
            }
        }

        ListViewItemCursor
        {
            id: cursor
            anchors.fill: parent
            delegateRoot: delegateRoot
            focus: true
            onReleased: {
                g_mainPageStack.push({item: Qt.resolvedUrl("CityDetailsPage.qml"),
                                         properties: {
                                             city: city
                                         }
                                     })
            }
        }
    } // end delegate
}
