﻿import QtQuick 2.0

QtObject
{
    id: root

    property QtObject toolbar: QtObject {
        property color backgroundColor: "#191970"  // midnight blue
        property color textColor: "#FFFACD" // lemon chiffon
        property real textSize: 42
    }

    property QtObject centralArea: QtObject {
        property color backgroundColor: "#B0E2FF"  // light sky-blue 1
    }

    property QtObject tabbar: QtObject {
        property color backgroundColor: "#00008B"  // blue4
    }

    property QtObject listViewItem: QtObject {
        property color backgroundColor: "#1E90FF"    // dodger blue
        property color backgroundColorAlt: "#00BFFF"  // deep sky blue
        property color textColor: "#191970"  // midnight blue
        property real textSize: 24
    }

    property QtObject textLabel: QtObject {
        property color textColor: "#00008B"  // blue4
        property real textSize: 24
    }

    property QtObject infoDialog: QtObject {
        property color backgroundColor: "#A4D3EE" // light sky blue 2
        property color textColor: "#191970"  // midnight blue
        property real textSize: 24
        property url iconAccept: Qt.resolvedUrl("images/accept.png")

        property QtObject titlebar: QtObject {
            property color backgroundColor: "#191970"  // midnight blue
            property color textColor: "#FFFACD" // lemon chiffon
            property real textSize: 32
        }

        property QtObject margins: QtObject {
            property color backgroundColor: "#191970"  // midnight blue
            property real opacity: 0.6

        }
    }

    property QtObject numberInput: QtObject {
        property color backgroundColor: "#A4D3EE" // light sky blue 2
        property url iconBackspace: Qt.resolvedUrl("images/backspace.png")
        property url iconReject: Qt.resolvedUrl("images/reject.png")
        property url iconAccept: Qt.resolvedUrl("images/accept.png")
    }

    property QtObject baseButton: QtObject {
        property url backgroundImage: Qt.resolvedUrl("images/button_background.png")
    }

    property QtObject pushButton: QtObject {
        property color backgroundColor: "#191970"  // midnight blue
    }

    property QtObject toolButton: QtObject {
        property url iconBackward: Qt.resolvedUrl("images/backward.png")
        property url iconHome: Qt.resolvedUrl("images/home.png")
    }

    property QtObject flagButton: QtObject {
        property QtObject europe: QtObject {
            property url spain: Qt.resolvedUrl("images/flagSpain.png")
            property url germany: Qt.resolvedUrl("images/flagGermany.png")
            property url uk: Qt.resolvedUrl("images/flagUK.png")
            property url italy: Qt.resolvedUrl("images/flagItaly.png")
            property url france: Qt.resolvedUrl("images/flagFrance.png")
            property url portugal: Qt.resolvedUrl("images/flagPortugal.png")
            property url netherlands: Qt.resolvedUrl("images/flagNetherlands.png")
            property url denmark: Qt.resolvedUrl("images/flagDenmark.png")
            property url greece: Qt.resolvedUrl("images/flagGreece.png")
            property url russia: Qt.resolvedUrl("images/flagRussia.png")
            property url austria: Qt.resolvedUrl("images/flagAustria.png")
            property url belgium: Qt.resolvedUrl("images/flagBelgium.png")
        }
    }

    property QtObject cursor: QtObject {
        property url iconNoCursor: Qt.resolvedUrl("images/no_cursor.png")
        property url iconFocusedCursor: Qt.resolvedUrl("images/focused_cursor.png")
        property url iconPressedCursor: Qt.resolvedUrl("images/pressed_cursor.png")
    }
}
