import QtQuick 2.1
import QtQuick.Controls 1.0

BaseMainPage
{
    id: root

    property variant city

    Rectangle
    {
        anchors.fill: parent
        color: g_theme.centralArea.backgroundColor

        Column
        {
            Toolbar
            {
                id: toolbar
                objectName: "toolbar"
                focus: true
                title: city.name
                backtabUp: cityDetails.backtabDown
                tabUp: cityDetails.tabDown
            }

            CityDetailsView
            {
                id: cityDetails
                objectName: "cityDetails"
                city: root.city
                backtabUp: toolbar.backtabDown
                tabUp: toolbar.tabDown
            }

            Rectangle
            {
                width: 1024
                height: 90
                color: g_theme.tabbar.backgroundColor
            }
        }
    }
}
