import QtQuick 2.1

FocusScope
{
    id: root

    property variant city

    property Item backtabDown: buttonPopulation.backtabDown
    property Item tabDown: buttonCity.tabDown
    property Item backtabUp
    property Item tabUp

    width: 1024
    height: 588

    Grid
    {
        id: infoGrid

        property real rowHeight: 48
        property real columnWidth0: 180
        property real columnWidth1: 480

        anchors.fill: parent
        anchors.margins: 16
        rows: 3
        columns: 2
        spacing: 16

        Text
        {
            width: infoGrid.columnWidth0
            height: infoGrid.rowHeight
            verticalAlignment: Text.AlignVCenter
            text: qsTr("City:") + g_tr.languageChanged
            font.pixelSize: g_theme.textLabel.textSize
            color: g_theme.textLabel.textColor
        }

        PushButton
        {
            id: buttonCity
            objectName: "buttonCity"
            width: infoGrid.columnWidth1
            height: infoGrid.rowHeight
            text: city.name
            backtabUp: root.backtabUp
            tabUp: buttonState.tabDown
        }

        Text
        {
            width: infoGrid.columnWidth0
            height: infoGrid.rowHeight
            verticalAlignment: Text.AlignVCenter
            text: qsTr("State:") + g_tr.languageChanged
            font.pixelSize: g_theme.textLabel.textSize
            color: g_theme.textLabel.textColor
        }

        PushButton
        {
            id: buttonState
            objectName: "buttonState"
            width: infoGrid.columnWidth1
            height: infoGrid.rowHeight
            text: city.state
            backtabUp: buttonCity.backtabDown
            tabUp: buttonPopulation.tabDown
        }

        Text
        {
            width: infoGrid.columnWidth0
            height: infoGrid.rowHeight
            verticalAlignment: Text.AlignVCenter
            text: qsTr("Population:") + g_tr.languageChanged
            font.pixelSize: g_theme.textLabel.textSize
            color: g_theme.textLabel.textColor
        }

        PushButton
        {
            id: buttonPopulation
            objectName: "buttonPopulation"
            width: infoGrid.columnWidth1
            height: infoGrid.rowHeight
            text: city.population.toString()
            backtabUp: buttonState.backtabDown
            tabUp: root.tabUp
            onReleased: {
                numberInput.number = city.population
                numberInput.originalNumber = city.population
                numberInput.visible = true
                numberInput.handleTab()
            }
        }
    }

    NumberInputView
    {
        id: numberInput
        anchors.bottom: parent.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        visible: false

        onNumberChanged: {
            city.population = number
        }

        onResult: {
            city.population = number
            buttonPopulation.handleBacktab()
            numberInput.visible = false
        }
    }
}
