﻿import QtQuick 2.0

QtObject
{
    id: root

    property QtObject toolbar: QtObject {
        property color backgroundColor: "#1D1D1D"
        property color textColor: "#F7F7F7"
        property real textSize: 42
    }

    property QtObject centralArea: QtObject {
        property color backgroundColor: "#DADADA"
    }

    property QtObject tabbar: QtObject {
        property color backgroundColor: "#0A0A0A"
    }

    property QtObject listViewItem: QtObject {
        property color backgroundColor: "#A5A5A5"
        property color backgroundColorAlt: "#818181"
        property color textColor: "#1E1E1E"
        property real textSize: 24
    }

    property QtObject textLabel: QtObject {
        property color textColor: "#0A0A0A"
        property real textSize: 24
    }

    property QtObject infoDialog: QtObject {
        property color backgroundColor: "#CBCBCB"
        property color textColor: "#1D1D1D"
        property real textSize: 24
        property url iconAccept: Qt.resolvedUrl("images/accept.png")

        property QtObject titlebar: QtObject {
            property color backgroundColor: "#1D1D1D"
            property color textColor: "#F7F7F7"
            property real textSize: 32
        }

        property QtObject margins: QtObject {
            property color backgroundColor: "#1D1D1D"
            property real opacity: 0.6

        }
    }

    property QtObject numberInput: QtObject {
        property color backgroundColor: "#CBCBCB"
        property url iconBackspace: Qt.resolvedUrl("images/backspace.png")
        property url iconReject: Qt.resolvedUrl("images/reject.png")
        property url iconAccept: Qt.resolvedUrl("images/accept.png")
    }

    property QtObject baseButton: QtObject {
        property url backgroundImage: Qt.resolvedUrl("images/button_background_gs.png")
    }

    property QtObject pushButton: QtObject {
        property color backgroundColor: "#1D1D1D"
    }

    property QtObject toolButton: QtObject {
        property url iconBackward: Qt.resolvedUrl("images/backward.png")
        property url iconHome: Qt.resolvedUrl("images/home.png")
    }

    property QtObject flagButton: QtObject {
        property QtObject europe: QtObject {
            property url spain: Qt.resolvedUrl("images/flagSpain_gs.png")
            property url germany: Qt.resolvedUrl("images/flagGermany_gs.png")
            property url uk: Qt.resolvedUrl("images/flagUK_gs.png")
            property url italy: Qt.resolvedUrl("images/flagItaly_gs.png")
            property url france: Qt.resolvedUrl("images/flagFrance_gs.png")
            property url portugal: Qt.resolvedUrl("images/flagPortugal_gs.png")
            property url netherlands: Qt.resolvedUrl("images/flagNetherlands_gs.png")
            property url denmark: Qt.resolvedUrl("images/flagDenmark_gs.png")
            property url greece: Qt.resolvedUrl("images/flagGreece_gs.png")
            property url russia: Qt.resolvedUrl("images/flagRussia_gs.png")
            property url austria: Qt.resolvedUrl("images/flagAustria_gs.png")
            property url belgium: Qt.resolvedUrl("images/flagBelgium_gs.png")
        }
    }

    property QtObject cursor: QtObject {
        property url iconNoCursor: Qt.resolvedUrl("images/no_cursor.png")
        property url iconFocusedCursor: Qt.resolvedUrl("images/focused_cursor.png")
        property url iconPressedCursor: Qt.resolvedUrl("images/pressed_cursor.png")
    }
}
