import QtQuick 2.1

BaseMainPage
{
    id: root

    property string title
    property string description

    Rectangle
    {
        anchors.fill: parent
        color: g_theme.infoDialog.margins.backgroundColor
        opacity: g_theme.infoDialog.margins.opacity
    }

    Rectangle
    {
        id: dialog
        anchors.centerIn: parent
        width: 723
        height: 415
        color: g_theme.infoDialog.backgroundColor

        Rectangle
        {
            id: titlebar
            color: g_theme.infoDialog.titlebar.backgroundColor
            anchors {
                left: parent.left
                right: parent.right
                top: parent.top
            }
            height: 75

            Text
            {
                anchors { verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: 16 }
                text: root.title
                font.pixelSize: g_theme.infoDialog.titlebar.textSize
                color: g_theme.infoDialog.titlebar.textColor
            }
        }

        Text
        {
            id: descriptionText
            anchors {
                left: parent.left
                right: parent.right
                top: titlebar.bottom
                bottom: buttonAccept.top
                margins: 16
            }
            text: root.description
            font.pixelSize: g_theme.infoDialog.textSize
            color: g_theme.infoDialog.textColor
            wrapMode: Text.WordWrap
        }

        ToolButton
        {
            id: buttonAccept
            objectName: "InfoDialog.Accept"
            anchors { right: parent.right; rightMargin: 16; bottom: parent.bottom; bottomMargin: 16 }
            source: g_theme.infoDialog.iconAccept
            backtabUp: buttonAccept
            tabUp: buttonAccept
            focus: true
            onReleased: {
                g_dialogStack.popDialog()
            }
        }

    }
}
