import QtQuick 2.1

BaseCursor
{
    id: root

    property Item backtabUp: root
    property Item tabUp: root

    property Item delegateRoot: null

    function handleBacktab()
    {
        if (index > 0) {
            delegateRoot.ListView.view.decrementCurrentIndex()
        }
        else {
            // NOTE: If currentIndex is not set to -1, there will be two cursors visible:
            // one on the first item of the list view and one on the home button of the
            // toolbar.
            delegateRoot.ListView.view.currentIndex = -1
            delegateRoot.ListView.view.backtabUp.handleBacktab()
        }
    }

    function handleTab()
    {
        if (index < delegateRoot.ListView.view.count - 1) {
            delegateRoot.ListView.view.incrementCurrentIndex()
        }
        else {
            delegateRoot.ListView.view.currentIndex = -1
            delegateRoot.ListView.view.tabUp.handleTab()
        }
    }

    function handleMousePress()
    {
        delegateRoot.ListView.view.currentIndex = index
        delegateRoot.ListView.view.forceActiveFocus()
    }

    onActiveFocusChanged: console.log("@@ ListViewItemCursor: item ", index, (root.activeFocus ? " gained" : " lost"), " active focus")
}
