import QtQuick 2.1

FocusScope
{
    id: root

    property bool isTopPage: false
    property string title

    property Item backtabDown: buttonHome.backtabDown
    property Item tabDown: buttonBackward.tabDown
    property Item backtabUp
    property Item tabUp

    width: 1024
    height: 90

    Rectangle
    {
        anchors.fill: parent
        color: g_theme.toolbar.backgroundColor

        Text
        {
            anchors { verticalCenter: parent.verticalCenter; left: parent.left; leftMargin: 16 }
            text: root.title
            font.pixelSize: g_theme.toolbar.textSize
            color: g_theme.toolbar.textColor
        }

        Row
        {
            visible: !root.isTopPage
            anchors { verticalCenter: parent.verticalCenter; right: parent.right; rightMargin: 16 }
            spacing: 12
            ToolButton {
                id: buttonBackward
                objectName: "ToolButtonBackward"
                backtabUp: root.backtabUp
                tabUp: buttonHome.tabDown
                source: g_theme.toolButton.iconBackward
                focus: true
                onReleased: g_mainPageStack.pop();
            }
            ToolButton {
                id: buttonHome
                objectName: "ToolButtonHome"
                source: g_theme.toolButton.iconHome
                backtabUp: buttonBackward.backtabDown
                tabUp: root.tabUp
            }
        }
    }
}
