import QtQuick 2.1
import QtQuick.Controls 1.0
import com.embeddeduse.keynav 1.0

StackView
{
    id: g_mainPageStack
    objectName: "mainPageStack"

    width: 1024
    height: 768

    property alias g_theme: themeLoader.item

    Loader
    {
        id: themeLoader
    }

    Component.onCompleted: {
        themeLoader.source = Qt.resolvedUrl("BlueTheme.qml")
        g_mainPageStack.push({ item: Qt.resolvedUrl("MainMenu.qml") })
    }

    // NOTE: We cannot push dialogs onto g_mainPageStack, because the top page is
    // moved to the side (out of the display). Then, we cannot have the top page
    // shine through, when a dialog is open.
    DialogStackView
    {
        id: g_dialogStack
        anchors.fill: parent
    }

    Connections
    {
        target: g_viewer

        onInfoMessage: {
            g_dialogStack.pushDialog({item: Qt.resolvedUrl("InfoDialog.qml"),
                                         immediate: true,
                                         properties: {
                                             title: title,
                                             description: description
                                         }
                                     })
        }

        onThemeChanged: {
            themeLoader.source = Qt.resolvedUrl(theme + "Theme.qml")
        }
    }
}
